> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список аккаунтов

> Выводит список клиентских аккаунтов, видимых субъекту публичного API.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts:
    get:
      tags:
        - public-accounts
      summary: Список аккаунтов
      description: Выводит список клиентских аккаунтов, видимых субъекту публичного API.
      operationId: list_public_accounts_v1_public_accounts_get
      parameters:
        - in: query
          name: client_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Client Id
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountListResponse:
      properties:
        items:
          description: Аккаунты на этой странице
          items:
            $ref: '#/components/schemas/AccountResponse'
          title: Элементы
          type: array
        page:
          description: Текущий номер страницы, основанный на единице
          title: Страница
          type: integer
        page_size:
          description: Максимальное количество элементов на странице
          title: Размер страницы
          type: integer
        total:
          description: Всего совпадающих аккаунтов
          title: Всего
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: AccountListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    AccountResponse:
      properties:
        client:
          $ref: '#/components/schemas/AccountClientSummary'
          description: Клиент, которому принадлежит аккаунт
        created_at:
          description: Временная метка создания учетной записи
          format: date-time
          title: Создано в
          type: string
        id:
          description: UUID аккаунта
          format: uuid
          title: ID
          type: string
        name:
          description: Отображаемое имя учетной записи
          title: Имя
          type: string
        status:
          description: Статус жизненного цикла аккаунта
          title: Статус
          type: string
        updated_at:
          description: Время последнего обновления аккаунта
          format: date-time
          title: Обновлено в
          type: string
      required:
        - id
        - name
        - client
        - status
        - created_at
        - updated_at
      title: AccountResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
    AccountClientSummary:
      description: Структурная сводка клиента, встроенная в ответы аккаунта.
      properties:
        id:
          description: Клиент UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Отображаемое имя клиента
          title: Имя
          type: string
      required:
        - id
        - name
      title: AccountClientSummary
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````